
Katello - Feature #5217

As a user, I should have CRUD permissions for all entities that are exposed to me.

04/16/2014 06:44 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Katello - Feature #5260: As a user, I should be able to assign CRU... Closed 04/21/2014

Related to Katello - Feature #5416: As a user, I should be able to assign CRU... Closed 04/23/2014

Related to Katello - Feature #5434: As a user, I should be able to assign CRU... Closed 04/24/2014

Related to Katello - Bug #5529: As a user, I should only see widgets on the c... Closed 05/01/2014

Related to Katello - Feature #5532: As a user, I should only see entities I h... Closed 05/01/2014

Related to Katello - Feature #5562: As a user, I should be able to assign per... Duplicate 05/02/2014

Related to Katello - Feature #5591: Red Hat Repositories: authorization Closed 05/06/2014

Related to Katello - Feature #5593: Fix menu so authorized items are displaye... Closed 05/06/2014

Related to Katello - Feature #5627: Api V2 Tasks controller:  CRUD authorization Closed 05/07/2014

Related to Katello - Feature #5635: Bastion: add translated 403 message to di... Closed 05/08/2014

Related to Katello - Bug #5682: view lifecycle environments  permisisons need... Closed 05/12/2014

Related to Katello - Feature #4351: Global user permissions need to be delive... Duplicate 02/14/2014

Related to Katello - Feature #5503: Available UI interactions should reflect ... Closed 04/29/2014

Related to Katello - Feature #6040: Add Katello view permissions to foreman "... Closed 06/03/2014

Related to Katello - Feature #6321: Bastion pages should enforce permissions ... Closed 06/20/2014

Blocked by Katello - Feature #5230: As a user, I should be able to assign CRU... Closed 04/17/2014

Blocked by Katello - Feature #5261: As a user, I should be able to assign CRU... Closed 04/21/2014

Blocked by Katello - Feature #5521: As a user, I should be able to assign CRU... Closed 05/01/2014

Blocked by Katello - Feature #5531: As a user, I should be able to assign rel... Closed 05/01/2014

Blocked by Katello - Feature #5530: As a user, I should be able to assign CRU... Closed 05/01/2014

Blocked by Katello - Feature #5533: As a user, I should be able to assign CRU... Closed 05/01/2014

Blocked by Katello - Feature #5535: As a user, I should be able to assign CRU... Closed 05/01/2014

Blocked by Foreman - Feature #5537: Menu/authorization: need alternative to r... Closed 04/30/2014

Blocked by Foreman - Bug #5578: Cant set permissions on specific resource types Closed 05/05/2014

Blocked by Katello - Bug #5702: (Roles Branch) v2 Content Views Controller in... Closed 05/13/2014

Blocked by Katello - Bug #5843: Remove v1 API routes Closed 05/20/2014

Associated revisions

Revision fb142fde - 04/16/2014 06:45 PM - Eric Helms

Refs #5217: Initial location to declare and load permissions.

Revision 1ad2a3cb - 05/07/2014 07:56 PM - Eric Helms

Refs #5217: Adjusts product organization_id migration to account for provider field.

Revision 13bf35e2 - 05/07/2014 09:23 PM - Eric Helms

05/17/2024 1/6



Merge pull request #4058 from ehelms/refs-5217

Refs #5217: Adjusts product organization_id migration to account for provider field.

Revision 5788e199 - 05/14/2014 05:00 PM - Eric Helms

Refs #5217: Adding check that the consumer cert matches the passed in

consumer identity when present.

Revision d8fe46f0 - 05/14/2014 05:39 PM - Eric Helms

Merge pull request #4085 from ehelms/refs-5217

Refs #5217: Adding check that the consumer cert matches the passed in consumer identity when present.

Revision 3526da57 - 05/14/2014 06:57 PM - Eric Helms

Refs #5217: Moving permissions into lib/katello directory.

Revision c7efcfb5 - 05/14/2014 07:34 PM - Eric Helms

Merge pull request #4087 from ehelms/refs-5217

Refs #5217: Moving permissions into lib/katello directory.

Revision 2735ea02 - 05/14/2014 08:29 PM - Eric Helms

Refs #5217: Fix activation key destroy.

This was introduced with merges from master and would cause errors

on deletion since the show rabl file sends attributes stored in Candlepin.

And since the activation key has been deleted at that point from Candlepin,

the object is no longer available.

Revision 875633d4 - 05/15/2014 03:05 AM - Eric Helms

Refs #5217: Fix content host menu item and add organization scoping.

Revision ec9aae7d - 05/15/2014 03:07 AM - Eric Helms

Merge pull request #4088 from ehelms/refs-5217

Refs #5217: Fix activation key destroy.

Revision d1fa101c - 05/15/2014 01:48 PM - Eric Helms

Merge pull request #4073 from Katello/roles

Refs #5217: Merging roles branch to master.

Revision af2dd40f - 05/15/2014 02:17 PM - Eric Helms

Merge pull request #4093 from ehelms/master-to-roles

Refs #5217: Master to roles

Revision bd4c8023 - 05/15/2014 02:17 PM - Eric Helms

Merge pull request #4092 from ehelms/refs-5217

Refs #5217: Fix content host menu item and add organization scoping.

Revision 374ea703 - 05/15/2014 05:48 PM - Eric Helms

Merge pull request #4073 from Katello/roles

Refs #5217: Merging roles branch to master.

History

#1 - 04/17/2014 03:30 PM - Eric Helms

- Blocked by Feature #5230: As a user, I should be able to assign CRUD permissions for GPG Keys. added

#2 - 04/21/2014 08:28 PM - Walden Raines
- Related to Feature #5260: As a user, I should be able to assign CRUD permissions for Sync Plans added

#3 - 04/21/2014 10:33 PM - Eric Helms

Copying in the bulk of the notes from our earlier roles etherpading:

Permission Requirements

Minimum Requirements

As a user, I should be able to define a permission for CRUD on all Katello entities that are exposed to the user. (

http://projects.theforeman.org/issues/5217)

As a user, I should be able to lock permissions by Organizations.

As a user, I should be able to lock permissions by Lifecycle Environment.

As a user, I should not see menu items for entities that I do not have access to.

As a user, I should not be able to access APIs I don't have permissions to.

As a user, I should have consistent permissions across Fortello.

As a user, I'd like not to see or have access to the legacy roles/permissions from Katello.

As a readonly user, I should not be able to edit any entity through the API or UI.

Nice to have Requirements

Hosts/Systems

As a user I should be able to define a permission to manage systems in system group A

As a user I should be able to define a permission to manage the association between system group A and all systems I can manage through my other

permissions.

As a user I  should be able to define a permission to manage All Systems in Environment C

As a user I  should be able to define a permission to manage All Systems in Environment C within Content View X

As a user I  should be able to define a permission to manage All Systems in Organization O

As a user I should  be able to define a permission to restricts which Environments and Content Views a user can assign (or register) a System to.

Content Views & Lifecycle Environments:

As a user I should be able to define a permission to publish a new version of Content View X

As a user I should be able to define a permission to promote Content View X to Environment Y

Open Questions

CRUD BY Org (sounded like Yes)   * If we address permissions in the API, will the CLI just work?

Question for CLI guys to see how Foreman side currently works against their permissions   * Can we do the implementation entity by entity or

page by page?

Example - https://github.com/Katello/katello/pull/3789/files

Issues

http://projects.theforeman.org/issues/5217

Action Items

Create Role-rework branch (ehelms) https://github.com/Katello/katello/tree/roles

Create permissions.rb file and include it from the plugin.rb file (ehelms)

Remove Legacy Katello roles UI

Dig into mechanics of new permissions as they relate to controllers (partha)

For a given entity:

Define the CRUD permission set for entity

Define the set of scoped search fields used when filtering

Re-factor guts of the entity Authorization module, remove where it no longer makes sense

Remove rules from the controller (handled by permission definitions/routes combinations)

Fix tests

Test the UI

Test the API

Test that the Menu item hides properly

Pages

Content Dashboard

Lifecycle Environment management (partha)

Activation Keys

Manage Subscriptions

RedHat Repo enable/disable

Products & Repository (ehelms)

GPG Keys (ehelms) - https://github.com/Katello/katello/pull/3985
Sync Status

Sync Plan (walden)

Content Views

Content Search

System/Content Hosts

System Groups (Host Collections)

Content About

Content Notices

#4 - 04/21/2014 10:36 PM - Eric Helms

- Blocked by Feature #5261: As a user, I should be able to assign CRUD permissions for Products and Repositories. added

#5 - 04/23/2014 04:30 PM - Walden Raines

- Related to Feature #5416: As a user, I should be able to assign CRUD permissions for Activation keys added

#6 - 04/24/2014 06:31 PM - Walden Raines

- Related to Feature #5434: As a user, I should be able to assign CRUD permissions for Content Views added

#7 - 04/28/2014 04:16 PM - Mike McCune

- Target version set to 44

#8 - 04/28/2014 04:17 PM - Mike McCune

- Triaged changed from No to Yes

#9 - 05/01/2014 12:05 AM - Eric Helms

- Blocked by Feature #5521: As a user, I should be able to assign CRUD permissions to subscriptions. added

#10 - 05/01/2014 01:32 PM - Eric Helms

- Related to Bug #5529: As a user, I should only see widgets on the content dashboard that I have access to. added

#11 - 05/01/2014 01:34 PM - Eric Helms

- Blocked by Feature #5531: As a user, I should be able to assign relevant permissions for Sync actions. added

#12 - 05/01/2014 01:35 PM - Eric Helms

- Blocked by Feature #5530: As a user, I should be able to assign CRUD permissions for Lifecycle Environments. added

#13 - 05/01/2014 01:36 PM - Eric Helms

- Related to Feature #5532: As a user, I should only see entities I have access to within Content Search. added

#14 - 05/01/2014 01:38 PM - Eric Helms

- Blocked by Feature #5533: As a user, I should be able to assign CRUD permissions for Content Hosts. added

#15 - 05/01/2014 01:39 PM - Eric Helms

- Blocked by Feature #5535: As a user, I should be able to assign CRUD permissions for System Groups. added

#16 - 05/01/2014 01:55 PM - Walden Raines

- Blocked by Feature #5537: Menu/authorization: need alternative to rails controller centric authorization added

#17 - 05/01/2014 04:15 PM - Walden Raines

- Blocked by Bug #5543: Content Search:  autocomplete is not working for content views and repositories added

#18 - 05/02/2014 09:15 PM - Walden Raines

- Related to Feature #5562: As a user, I should be able to assign permissions for Foreman tasks added

#19 - 05/05/2014 12:26 PM - Walden Raines

- Blocked by Bug #4450: Tasks API is not authorized added

#20 - 05/05/2014 10:39 PM - Partha Aji
- Blocked by Bug #5578: Cant set permissions on specific resource types  added

#21 - 05/06/2014 06:16 PM - Walden Raines

- Related to Feature #5591: Red Hat Repositories: authorization added

#22 - 05/06/2014 07:04 PM - Walden Raines

- Related to Feature #5593: Fix menu so authorized items are displayed post single page app work added

#23 - 05/07/2014 08:53 PM - Walden Raines

- Related to Feature #5627: Api V2 Tasks controller:  CRUD authorization added

#24 - 05/07/2014 08:56 PM - Walden Raines

- Related to Refactor #5628: Remove converted v1 API controllers and tests added

#25 - 05/08/2014 03:32 PM - Walden Raines

- Related to Feature #5635: Bastion: add translated 403 message to displayed error messages on form submit added

#26 - 05/12/2014 08:48 PM - Partha Aji

- Related to Bug #5682: view lifecycle environments  permisisons need to be handled better added

#27 - 05/13/2014 07:35 PM - Partha Aji

- Blocked by Bug #5702: (Roles Branch) v2 Content Views Controller index call ignoring environment id  added

#28 - 05/14/2014 02:23 PM - Walden Raines

- Related to Bug #5720: Roles: Add scopes to finds in converted controllers added

#29 - 05/20/2014 09:16 PM - Walden Raines

- Blocked by Bug #5843: Remove v1 API routes added

#30 - 05/20/2014 09:16 PM - Walden Raines

- Related to deleted (Refactor #5628: Remove converted v1 API controllers and tests)

#31 - 05/21/2014 03:16 PM - Walden Raines

- Related to Feature #4351: Global user permissions need to be delivered to angular pages added

#32 - 05/28/2014 03:01 PM - Walden Raines

- Related to Feature #5503: Available UI interactions should reflect a user's permissions added

#33 - 05/28/2014 04:12 PM - Eric Helms

- Target version changed from 44 to 45

#34 - 06/03/2014 03:31 PM - Walden Raines

- Related to Feature #6040: Add Katello view permissions to foreman "Viewer" role added

#35 - 06/16/2014 12:34 PM - Eric Helms

- Target version changed from 45 to 48

#36 - 06/19/2014 03:38 PM - Walden Raines

- Blocked by deleted (Bug #5543: Content Search:  autocomplete is not working for content views and repositories)

#37 - 06/20/2014 06:55 PM - Walden Raines

- Related to Feature #6321: Bastion pages should enforce permissions when entering the page added

#38 - 06/28/2014 03:40 AM - Eric Helms

- translation missing: en.field_release set to 13

#39 - 07/07/2014 07:57 AM - Eric Helms
- Target version changed from 48 to 49

#40 - 07/28/2014 08:41 AM - Eric Helms

- Target version changed from 49 to 54

#41 - 08/15/2014 01:41 PM - Eric Helms

- Blocked by deleted (Bug #4450: Tasks API is not authorized)

#42 - 08/15/2014 01:41 PM - Eric Helms

- Related to deleted (Bug #5720: Roles: Add scopes to finds in converted controllers)

#43 - 08/15/2014 01:43 PM - Eric Helms

- Status changed from New to Closed
